/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#ifndef I2CSENSIRIONFLOWSENSOR_H
#define I2CSENSIRIONFLOWSENSOR_H

// SLF3S and LD20 series have the same address
#define SENSIRION_FLOW_SENSOR_ADDR_SLF3S_LD20 (8)
// SFC6xxx and SFM6xxx series have the same address
#define SENSIRION_FLOW_SENSOR_ADDR_SFM6000D_SFC6000D (0x24)

#include "i2cMasterHandler.h"

i2c_device flowSensor_getDevice();
i2c_device flowSensor_air_getDevice();


float flowSensor_getFlow_mLperMin();
float flowSensor_getFlow_uLperMin();
float flowSensor_getFlow_nLperMin();


#endif // I2CSENSIRIONFLOWSENSOR_H
