/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#ifndef STRINGHANDLER_H
#define STRINGHANDLER_H

#include <stdbool.h>
#include <stdint.h>

void stringHandler_intAsString(int32_t val, uint8_t* str, uint8_t* strLen);

bool stringHandler_stringAsInt(int32_t* val, uint8_t* str, uint8_t strLen);

// float as string, with 5 significant digits, 
// and a maximum of 4 decimal places
void stringHandler_floatAsString(float val, uint8_t* str, uint8_t* strLen);

bool stringHandler_stringAsFloat(float* val, uint8_t* str, uint8_t strLen);

#endif // STRINGHANDLER_H
