/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#ifndef BOOSTCONTROLLER_H
#define BOOSTCONTROLLER_H

void boostController_init(uint32_t initialOutputmv,
                          uint32_t maxOutputmv,
                          uint16_t pidPNom,
                          uint16_t pidINom);

void boostController_setTarget(uint32_t targetmv);

void boostController_getNextSamples(uint32_t actualmv, 
                                    uint32_t* sampleBuffer,
                                    uint8_t sampleCount);

#endif // BOOSTCONTROLLER_H
