/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#ifndef I2CSENSIRIONFLOWSENSOR2_H
#define I2CSENSIRIONFLOWSENSOR2_H

// LG16 and LPG10 series have the same address
#define SENSIRION_FLOW_SENSOR2_ADDR (0x40)


#include "i2cMasterHandler.h"

i2c_device flowSensor2_getDevice();

float flowSensor2_getFlow_mLperMin();
float flowSensor2_getFlow_uLperMin();
float flowSensor2_getFlow_nLperMin();


#endif // I2CSENSIRIONFLOWSENSOR2_H
