/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#ifndef I2CTLC59116GAUGEHANDLER_H
#define I2CTLC59116GAUGEHANDLER_H

#define TI_TLC59116_I2C_ADDR 0x60

#include "i2cMasterHandler.h"

i2c_device tlc59116_getDevice();

void tlc59116_setGaugemW(uint16_t milliwatts);

void tlc59116_setErrorLed(bool showError);

void tlc59116_setDriverOnLed(bool showDriverOn);

#endif // I2CTLC59116GAUGEHANDLER_H
