/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32g0xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define CURRENT_SENS_Pin GPIO_PIN_0
#define CURRENT_SENS_GPIO_Port GPIOA
#define HV_SENS_Pin GPIO_PIN_1
#define HV_SENS_GPIO_Port GPIOA
#define ANA_A_Pin GPIO_PIN_2
#define ANA_A_GPIO_Port GPIOA
#define ANA_B_Pin GPIO_PIN_3
#define ANA_B_GPIO_Port GPIOA
#define ANA_C_Pin GPIO_PIN_4
#define ANA_C_GPIO_Port GPIOA
#define DRV_3_Pin GPIO_PIN_6
#define DRV_3_GPIO_Port GPIOA
#define DRV_1_Pin GPIO_PIN_7
#define DRV_1_GPIO_Port GPIOA
#define DRV_2_Pin GPIO_PIN_0
#define DRV_2_GPIO_Port GPIOB
#define DRV_4_Pin GPIO_PIN_1
#define DRV_4_GPIO_Port GPIOB
#define BOOST_SW_N_Pin GPIO_PIN_13
#define BOOST_SW_N_GPIO_Port GPIOB
#define BOOST_SW_P_Pin GPIO_PIN_8
#define BOOST_SW_P_GPIO_Port GPIOA
#define GPIO_A_Pin GPIO_PIN_0
#define GPIO_A_GPIO_Port GPIOD
#define GPIO_B_Pin GPIO_PIN_1
#define GPIO_B_GPIO_Port GPIOD
#define GPIO_C_Pin GPIO_PIN_2
#define GPIO_C_GPIO_Port GPIOD
#define GPIO_D_Pin GPIO_PIN_3
#define GPIO_D_GPIO_Port GPIOD
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
