/*
 * Copyright (C) LEE Ventus - All Rights Reserved
 * Unauthorised copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
#include "discPumpCore.h"

    #define ANALOG_CHANNEL_COUNT 5  // CO Driver

typedef enum 
{
    // Analog channels first
    DRIVE_MICRO_AMPS = 0,
    DRIVE_MILLI_VOLTS,


    ANA_A,
    ANA_B,

    ANA_C,

    ACTUAL_DRIVE_FREQUENCY_HZ,

    // Digital channels last
    HONEYWELL_MPR_UBAR,
    BAROMETER_UBAR,

	SENSIRION_FLOW_SENSOR,

    SAMPLING_CHANNEL_COUNT
} sampling_channels;

discPumpCore_handle applicationSetup_init();

void applicationSetup_tick();

